Subject: Re: git-subtree Next Round Ready

From: [email-masked]
Date: Sun, 01 Apr 2012 13:00:58 -0500

Junio C Hamano <[email-masked]> writes:

> I do not see the point of your subtree branch, especially after 1f30551
> (Set TEST_DIRECTORY, 2012-03-20) where it starts depending on files
> outside its top-level directory. At that point, the tree ceases to be
> viable as a standalone project.

The point of the branch was to provide an easy reference to subtree
merge into the main git repository.  I have no intention of keeping a
separate git-subtree project.

> I think it would make more sense, from the history viewpoint, to:
>
>  - Stop the history of the "subtree" branch at commit d3a04e0 (Use Test
>    Harness, 2012-01-29);
>
>  - Create "for-upstream" branch that is a fork of 1.7.10 (when tagged);
>
>  - On "for-upstream" branch, add all the files from d3a04e0 (Use Test
>    Harness, 2012-01-29) to contrib/subtree, and record it as a merge
>    between 1.7.10 and d3a04e0 (you can use subtree merge for this); and
>    finally
>
>  - Replay the commits between d3a04e0 and the tip of your current
>    "subtree" branch on top of "for-upstream".
>
> And then have me pull the "for-upstream" branch.

Ok, that sounds fine to me.

> Further development after that point can continue in-tree just like any
> other contrib subsystems like "completion/" and "fast-import/git-p4".

Yep, sounds good!

                         -Dave